// this class represents a person travelling through the airport

public class Person extends Object
{  private int startTime; // the time they started
   private String secDest; // the name of the security station they are bound for
   private boolean goingToCustoms; // whether or not this person has to go through customs


   /*
     pre: none
     post: creates a person going a specific security station that may or may not have to go through
           customs, and records the time they were created
   */
   public Person(String secDest,boolean goingToCustoms, int curTime)
   {  this.goingToCustoms = goingToCustoms;
      this.secDest = secDest;
      this.startTime = curTime;
   }
   /*
     pre: none
     post: returns the name of the security station this person is bound for
   */
   public String getSecurityFate()
   {  return secDest;
   }

   /*
     pre: none
     post: returns if this person has to go through customs
   */
   public boolean fatedForCustoms()
   {  return goingToCustoms;
   }

   /*
     pre: none
     post: returns the time this person started moving through the system
   */
   public int getStartTime()
   {  return startTime;
   }
}