 public class StatsBasket {

    /* This class is simply a place to store the collection of statistics
       computed by the discrete event simulation of Assignment 5. Your code
       must construct and return one of these baskets. */

    /* Instance Variables */

    // the percentage of time that the self-service kiosk,
    // the customs area and the security 1 area is in use   
    // stored as doubles in the range [0,1]
    private double pctSSInUse;
    private double pctCInUse;
    private double pctS1InUse;

    // maximum queue lengths
    private int maxSSQueueSize; //self-service
    private int maxCQueueSize; //customs
    private int maxS1QueueSize; //security 1

    // average queue lengths
    private double avgSSQueueSize; //self-service
    private double avgCQueueSize; //customs
    private double avgS1QueueSize; //security 1

    // time spent in terminal statistics
    private double maxTimeInTerminal;
    private double avgTimeInTerminal;

    /* One Constructor */

    public StatsBasket(	double pctSSInUse,
    			double pctCInUse,
    			double pctS1InUse,
    			int maxSSQueueSize,
    			int maxCQueueSize,
    			int maxS1QueueSize,
    			double avgSSQueueSize,
    			double avgCQueueSize,
    			double avgS1QueueSize,
    			double maxTimeInTerminal,
    			double avgTimeInTerminal)


	// returns a StatsBasket storing the given statistics
	{
    		this.pctSSInUse = pctSSInUse;
    		this.pctCInUse = pctCInUse;
    		this.pctS1InUse = pctS1InUse;
    		this.maxSSQueueSize = maxSSQueueSize;
    		this.maxCQueueSize = maxCQueueSize;
    		this.maxS1QueueSize = maxS1QueueSize;
    		this.avgSSQueueSize = avgSSQueueSize;
    		this.avgCQueueSize = avgCQueueSize;
    		this.avgS1QueueSize = avgS1QueueSize;
    		this.maxTimeInTerminal = maxTimeInTerminal;
    		this.avgTimeInTerminal = avgTimeInTerminal;

	}

	/* Accessor Methods */

    public double getPctSSInUse() {
    //post: returns the percentage of time the self-service kiosk is in use
	return this.pctSSInUse;
    }

    public double getPctCInUse() {
	//post: returns the percentage of time the customs area is in use
         return this.pctCInUse;
    }

    public double getPctS1InUse() {
	//post: returns the percentage of time the security # 1 area is in use
		return this.pctS1InUse;
	}

    public int getMaxSSQueueSize() {
	//post: returns the maximum length of the self-service queue
		return this.maxSSQueueSize;
	}

    public int getMaxCQueueSize() {
	//post: returns the maximum length of the customs queue
		return this.maxCQueueSize;
	}

    public int getMaxS1QueueSize() {
	//post: returns the maximum length of the security # 1 queue
		return this.maxS1QueueSize;
	}

    public double getAvgSSQueueSize() {
	//post: returns the average length of the self-service queue
		return this.avgSSQueueSize;
	}

    public double getAvgCQueueSize() {
	//post: returns the average length of the customs queue
		return this.avgCQueueSize;
	}

    public double getAvgS1QueueSize() {
	//post: returns the average length of the security # 1 queue
		return this.avgS1QueueSize;
	}

    public double getMaxTotalTimeInTerminal() {
	//post: returns the maximum time in the terminal taken over all travellers
	  return this.maxTimeInTerminal;
	}

    public double getAvgTotalTimeInTerminal() {
	//post: returns the average time in the termianl taken over all travellers
		return this.avgTimeInTerminal;
	}

    public String toString() {
  //post: returns all the information stored in the StatsBasket
    String result = "";
    result += "The Average Length of the Self-Service Queue is " + getAvgSSQueueSize() +"\n";
    result += "The Average Length of the Customs Queue is " + getAvgCQueueSize() + "\n";
    result += "The Average Length of the Security 1 Queue is " + getAvgS1QueueSize() + "\n";
    result += "The Max Length of the Self-Service Queue is " + getMaxSSQueueSize() + "\n";
    result += "The Max Length of the Customs Queue is " + getMaxCQueueSize() + "\n";
    result += "The Max Length of the Security 1 Queue is " + getMaxS1QueueSize() + "\n";
    result += "The Average Time a traveller spends in the terminal is " + getAvgTotalTimeInTerminal() + "\n";
    result += "The Maximum Time a traveller spends in the terminal is " + getMaxTotalTimeInTerminal() + "\n";
    result += "The Pecentage of Time Self-Service kiosk is  in use is " + getPctSSInUse() + "\n";
    result += "The Pecentage of Time Customs area is in use is " + getPctCInUse() + "\n";
    result += "The Pecentage of Time all Security # 1 area in use is " + getPctS1InUse() + "\n";
    return result;
  }

}
