// this class is a simple extension of queue, which allows the queue to be sorted

public class EventQueue extends Queue
{
  /*
    pre: nothing
    post: constructs an eventQueue by constructing the Queue ahead of it
  */
  public EventQueue()
  { super();
  }
  /*
    pre: what is not null
    post: what is at a position such that the event closer to the head has a time less than what.getTime(), and
          the event closer to the tail has a time greater than or equal to what.getTime()
  */
  public void pushSort(Event what) // this adds an event to the event queue, and places it in order with the other events in the queue
  { Node holder = this.head; // the current node for our loop
    Node prev = null; // the previous node for our loop
    boolean loopDone = false; // keeps track of whether or not our loop is done

    while(holder != null && !loopDone) // as long as we haven't found an Event further in the future than what, keep lookin
    {
      if(what.getTime() <=((Event)holder.getItem()).getTime()) // if we've found an event happening at a time equal to or further away than what.getTime()...
      { loopDone = true; // ... then we are done searching, so we should stop

      }
      if(!loopDone) // as long as we haven't found a good event, we should move along
      { prev = holder; // keeps track of previous node
        holder = holder.getNext(); // moves forwards, not backwards, upwards, not downwards, always spiralling, spiralling, spiralling
      }

    }
    if (prev!=null) // if the previous node was null, then we aren't at the head
    { prev.setNext(new Node(what,holder));
    }
    else // if the previous node was null, then we never actually got into the list, and what should be on top
    { head = new Node(what,holder);
    }
    //this.writeStatus();
  }
  /*
    pre: none
    post: debugging/test function to make sure our EventQueue was getting sorted
          funny story: it turns out when EventList was calling it, it was calling Push instead of
                       pushSort(), which was totally screwing up our program!
          When called, this would write out the times of the things in the queue like
            |1|2|3|4|5|...
          Looks like I've actually deleted the parts that wrote stuff, since they used
          system.out.println, and I can't easily disable that like I can d.w()
  */
  private void writeStatus()
  { if(head == null)
    { //d.w("Empty");
    }
    Node temp = head;
    Event temp2;
    while(temp.getNext() != null)
    { temp2 = (Event)temp.getItem();
      temp = temp.getNext();
    }
  }
}